# Interface TcpPingInterceptorMBean

All Known Implementing Classes:
  `TcpPingInterceptor`

public interface TcpPingInterceptorMBean
MBean interface for managing the TcpPingInterceptor.

## Method Summary

Modifier and Type
Method
Description
`long`
`getInterval()`
Returns the ping interval in milliseconds.
`int`
`getOptionFlag()`
Returns the socket option flag used for ping messages.
`boolean`
`getUseThread()`
Returns whether a dedicated ping thread is used.

## Method Details

### getOptionFlag

int getOptionFlag()
Returns the socket option flag used for ping messages.

Returns:
  the option flag

### getInterval

long getInterval()
Returns the ping interval in milliseconds.

Returns:
  the ping interval

### getUseThread

boolean getUseThread()
Returns whether a dedicated ping thread is used.

Returns:
  true if a dedicated thread is used